<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'GetLocalDateTime' => '\\StructType\\GetLocalDateTime',
            'GetLocalDateTimeResponse' => '\\StructType\\GetLocalDateTimeResponse',
            'GetNodes' => '\\StructType\\GetNodes',
            'GetNodesResponse' => '\\StructType\\GetNodesResponse',
            'GetNodesResult' => '\\StructType\\GetNodesResult',
            'GetGroups' => '\\StructType\\GetGroups',
            'GetGroupsResponse' => '\\StructType\\GetGroupsResponse',
            'GetGroupsResult' => '\\StructType\\GetGroupsResult',
            'GetNearestNodes' => '\\StructType\\GetNearestNodes',
            'GetNearestNodesResponse' => '\\StructType\\GetNearestNodesResponse',
            'GetNearestNodesResult' => '\\StructType\\GetNearestNodesResult',
            'GetIMSIList' => '\\StructType\\GetIMSIList',
            'GetIMSIListResponse' => '\\StructType\\GetIMSIListResponse',
            'GetIMSIListResult' => '\\StructType\\GetIMSIListResult',
            'GetLicensePlateFromNode' => '\\StructType\\GetLicensePlateFromNode',
            'GetLicensePlateFromNodeResponse' => '\\StructType\\GetLicensePlateFromNodeResponse',
            'GetNodeFromLicensePlate' => '\\StructType\\GetNodeFromLicensePlate',
            'GetNodeFromLicensePlateResponse' => '\\StructType\\GetNodeFromLicensePlateResponse',
            'GetLicensePlateNodeMappings' => '\\StructType\\GetLicensePlateNodeMappings',
            'GetLicensePlateNodeMappingsResponse' => '\\StructType\\GetLicensePlateNodeMappingsResponse',
            'GetLicensePlateNodeMappingsResult' => '\\StructType\\GetLicensePlateNodeMappingsResult',
            'GetDriverFromNode' => '\\StructType\\GetDriverFromNode',
            'GetDriverFromNodeResponse' => '\\StructType\\GetDriverFromNodeResponse',
            'GetNodeFromDriver' => '\\StructType\\GetNodeFromDriver',
            'GetNodeFromDriverResponse' => '\\StructType\\GetNodeFromDriverResponse',
            'GetDriverNodeMappings' => '\\StructType\\GetDriverNodeMappings',
            'GetDriverNodeMappingsResponse' => '\\StructType\\GetDriverNodeMappingsResponse',
            'GetDriverNodeMappingsResult' => '\\StructType\\GetDriverNodeMappingsResult',
            'GetCrewFromNode' => '\\StructType\\GetCrewFromNode',
            'GetCrewFromNodeResponse' => '\\StructType\\GetCrewFromNodeResponse',
            'GetNodeFromCrew' => '\\StructType\\GetNodeFromCrew',
            'GetNodeFromCrewResponse' => '\\StructType\\GetNodeFromCrewResponse',
            'GeneralReport' => '\\StructType\\GeneralReport',
            'GeneralReportResponse' => '\\StructType\\GeneralReportResponse',
            'GeneralReportResult' => '\\StructType\\GeneralReportResult',
            'GeneralReportReturnObject' => '\\StructType\\GeneralReportReturnObject',
            'GeneralReportReturnObjectResponse' => '\\StructType\\GeneralReportReturnObjectResponse',
            'GeneralReportReturnObjectResult' => '\\StructType\\GeneralReportReturnObjectResult',
            'GeneralReport2' => '\\StructType\\GeneralReport2',
            'GeneralReport2Response' => '\\StructType\\GeneralReport2Response',
            'GeneralReport2Result' => '\\StructType\\GeneralReport2Result',
            'GeneralReportWithDistance' => '\\StructType\\GeneralReportWithDistance',
            'GeneralReportWithDistanceResponse' => '\\StructType\\GeneralReportWithDistanceResponse',
            'GeneralReportWithDistanceResult' => '\\StructType\\GeneralReportWithDistanceResult',
            'GeneralReportWithDistanceReturnObject' => '\\StructType\\GeneralReportWithDistanceReturnObject',
            'GeneralReportWithDistanceReturnObjectResponse' => '\\StructType\\GeneralReportWithDistanceReturnObjectResponse',
            'GeneralReportWithDistanceReturnObjectResult' => '\\StructType\\GeneralReportWithDistanceReturnObjectResult',
            'UserLoginReport' => '\\StructType\\UserLoginReport',
            'UserLoginReportResponse' => '\\StructType\\UserLoginReportResponse',
            'UserLoginReportResult' => '\\StructType\\UserLoginReportResult',
            'FuelConsumptionReport' => '\\StructType\\FuelConsumptionReport',
            'FuelConsumptionReportResponse' => '\\StructType\\FuelConsumptionReportResponse',
            'FuelConsumptionReportResult' => '\\StructType\\FuelConsumptionReportResult',
            'ParallelTimingReport' => '\\StructType\\ParallelTimingReport',
            'ParallelTimingReportResponse' => '\\StructType\\ParallelTimingReportResponse',
            'ParallelTimingReportResult' => '\\StructType\\ParallelTimingReportResult',
            'VehicleProgramReport' => '\\StructType\\VehicleProgramReport',
            'VehicleProgramReportResponse' => '\\StructType\\VehicleProgramReportResponse',
            'VehicleProgramReportResult' => '\\StructType\\VehicleProgramReportResult',
            'TotalPauseTime' => '\\StructType\\TotalPauseTime',
            'TotalPauseTimeResponse' => '\\StructType\\TotalPauseTimeResponse',
            'TotalIdlingTime' => '\\StructType\\TotalIdlingTime',
            'TotalIdlingTimeResponse' => '\\StructType\\TotalIdlingTimeResponse',
            'TotalRunningTime' => '\\StructType\\TotalRunningTime',
            'TotalRunningTimeResponse' => '\\StructType\\TotalRunningTimeResponse',
            'ContactAlarm' => '\\StructType\\ContactAlarm',
            'ContactAlarmResponse' => '\\StructType\\ContactAlarmResponse',
            'ContactAlarmResult' => '\\StructType\\ContactAlarmResult',
            'IgnitionAlarmReturnObject' => '\\StructType\\IgnitionAlarmReturnObject',
            'IgnitionAlarmReturnObjectResponse' => '\\StructType\\IgnitionAlarmReturnObjectResponse',
            'IgnitionAlarmReturnObjectResult' => '\\StructType\\IgnitionAlarmReturnObjectResult',
            'IdlingDurationReport' => '\\StructType\\IdlingDurationReport',
            'IdlingDurationReportResponse' => '\\StructType\\IdlingDurationReportResponse',
            'IdlingDurationReportResult' => '\\StructType\\IdlingDurationReportResult',
            'IgnitionDurationReport' => '\\StructType\\IgnitionDurationReport',
            'IgnitionDurationReportResponse' => '\\StructType\\IgnitionDurationReportResponse',
            'IgnitionDurationReportResult' => '\\StructType\\IgnitionDurationReportResult',
            'PauseDurationReport' => '\\StructType\\PauseDurationReport',
            'PauseDurationReportResponse' => '\\StructType\\PauseDurationReportResponse',
            'PauseDurationReportResult' => '\\StructType\\PauseDurationReportResult',
            'PauseDurationReport2' => '\\StructType\\PauseDurationReport2',
            'PauseDurationReport2Response' => '\\StructType\\PauseDurationReport2Response',
            'PauseDurationReport2Result' => '\\StructType\\PauseDurationReport2Result',
            'VehicleOperatingReport' => '\\StructType\\VehicleOperatingReport',
            'VehicleOperatingReportResponse' => '\\StructType\\VehicleOperatingReportResponse',
            'VehicleOperatingReportResult' => '\\StructType\\VehicleOperatingReportResult',
            'VehicleOperatingReport2' => '\\StructType\\VehicleOperatingReport2',
            'VehicleOperatingReport2Response' => '\\StructType\\VehicleOperatingReport2Response',
            'VehicleOperatingReport2Result' => '\\StructType\\VehicleOperatingReport2Result',
            'RegionAlarm' => '\\StructType\\RegionAlarm',
            'RegionAlarmResponse' => '\\StructType\\RegionAlarmResponse',
            'RegionAlarmResult' => '\\StructType\\RegionAlarmResult',
            'RegionAlarmReturnObject' => '\\StructType\\RegionAlarmReturnObject',
            'RegionAlarmReturnObjectResponse' => '\\StructType\\RegionAlarmReturnObjectResponse',
            'RegionAlarmReturnObjectResult' => '\\StructType\\RegionAlarmReturnObjectResult',
            'VehicleDistanceReport' => '\\StructType\\VehicleDistanceReport',
            'VehicleDistanceReportResponse' => '\\StructType\\VehicleDistanceReportResponse',
            'VehicleDistanceReportResult' => '\\StructType\\VehicleDistanceReportResult',
            'CanBusOBDFuelInfoReport' => '\\StructType\\CanBusOBDFuelInfoReport',
            'CanBusOBDFuelInfoReportResponse' => '\\StructType\\CanBusOBDFuelInfoReportResponse',
            'CanBusOBDFuelInfoReportResult' => '\\StructType\\CanBusOBDFuelInfoReportResult',
            'CanBusOBDOdometerInfoReport' => '\\StructType\\CanBusOBDOdometerInfoReport',
            'CanBusOBDOdometerInfoReportResponse' => '\\StructType\\CanBusOBDOdometerInfoReportResponse',
            'CanBusOBDOdometerInfoReportResult' => '\\StructType\\CanBusOBDOdometerInfoReportResult',
            'RegionTravelReport' => '\\StructType\\RegionTravelReport',
            'RegionTravelReportResponse' => '\\StructType\\RegionTravelReportResponse',
            'RegionTravelReportResult' => '\\StructType\\RegionTravelReportResult',
            'OutRegionTravelReport' => '\\StructType\\OutRegionTravelReport',
            'OutRegionTravelReportResponse' => '\\StructType\\OutRegionTravelReportResponse',
            'OutRegionTravelReportResult' => '\\StructType\\OutRegionTravelReportResult',
            'VehicleDistanceReport2' => '\\StructType\\VehicleDistanceReport2',
            'VehicleDistanceReport2Response' => '\\StructType\\VehicleDistanceReport2Response',
            'VehicleDistanceReport2Result' => '\\StructType\\VehicleDistanceReport2Result',
            'VehiclePrivateUsageReport' => '\\StructType\\VehiclePrivateUsageReport',
            'VehiclePrivateUsageReportResponse' => '\\StructType\\VehiclePrivateUsageReportResponse',
            'VehiclePrivateUsageReportResult' => '\\StructType\\VehiclePrivateUsageReportResult',
            'GetVehicleInfo' => '\\StructType\\GetVehicleInfo',
            'GetVehicleInfoResponse' => '\\StructType\\GetVehicleInfoResponse',
            'GetVehicleInfoResult' => '\\StructType\\GetVehicleInfoResult',
            'GetDriverInfo' => '\\StructType\\GetDriverInfo',
            'GetDriverInfoResponse' => '\\StructType\\GetDriverInfoResponse',
            'GetDriverInfoResult' => '\\StructType\\GetDriverInfoResult',
            'DriverPrivateUsageReport' => '\\StructType\\DriverPrivateUsageReport',
            'DriverPrivateUsageReportResponse' => '\\StructType\\DriverPrivateUsageReportResponse',
            'DriverPrivateUsageReportResult' => '\\StructType\\DriverPrivateUsageReportResult',
            'VehicleLastStateReport' => '\\StructType\\VehicleLastStateReport',
            'VehicleLastStateReportResponse' => '\\StructType\\VehicleLastStateReportResponse',
            'VehicleLastStateReportResult' => '\\StructType\\VehicleLastStateReportResult',
            'VehicleLastStateReport2' => '\\StructType\\VehicleLastStateReport2',
            'VehicleLastStateReport2Response' => '\\StructType\\VehicleLastStateReport2Response',
            'VehicleLastStateReport2Result' => '\\StructType\\VehicleLastStateReport2Result',
            'SpeedReport' => '\\StructType\\SpeedReport',
            'SpeedReportResponse' => '\\StructType\\SpeedReportResponse',
            'SpeedReportResult' => '\\StructType\\SpeedReportResult',
            'SpeedAlarm' => '\\StructType\\SpeedAlarm',
            'SpeedAlarmResponse' => '\\StructType\\SpeedAlarmResponse',
            'SpeedAlarmResult' => '\\StructType\\SpeedAlarmResult',
            'SpeedAlarmReturnObject' => '\\StructType\\SpeedAlarmReturnObject',
            'SpeedAlarmReturnObjectResponse' => '\\StructType\\SpeedAlarmReturnObjectResponse',
            'SpeedAlarmReturnObjectResult' => '\\StructType\\SpeedAlarmReturnObjectResult',
            'SpeedAlarmV2' => '\\StructType\\SpeedAlarmV2',
            'SpeedAlarmV2Response' => '\\StructType\\SpeedAlarmV2Response',
            'SpeedAlarmV2Result' => '\\StructType\\SpeedAlarmV2Result',
            'TemperatureAlarm' => '\\StructType\\TemperatureAlarm',
            'TemperatureAlarmResponse' => '\\StructType\\TemperatureAlarmResponse',
            'TemperatureAlarmResult' => '\\StructType\\TemperatureAlarmResult',
            'PauseAlarm' => '\\StructType\\PauseAlarm',
            'PauseAlarmResponse' => '\\StructType\\PauseAlarmResponse',
            'PauseAlarmResult' => '\\StructType\\PauseAlarmResult',
            'PauseAlarm2' => '\\StructType\\PauseAlarm2',
            'PauseAlarm2Response' => '\\StructType\\PauseAlarm2Response',
            'PauseAlarm2Result' => '\\StructType\\PauseAlarm2Result',
            'MotionAlarm' => '\\StructType\\MotionAlarm',
            'MotionAlarmResponse' => '\\StructType\\MotionAlarmResponse',
            'MotionAlarmResult' => '\\StructType\\MotionAlarmResult',
            'EmergencyAlarm' => '\\StructType\\EmergencyAlarm',
            'EmergencyAlarmResponse' => '\\StructType\\EmergencyAlarmResponse',
            'EmergencyAlarmResult' => '\\StructType\\EmergencyAlarmResult',
            'CanBusOBDGeneralReport' => '\\StructType\\CanBusOBDGeneralReport',
            'CanBusOBDGeneralReportResponse' => '\\StructType\\CanBusOBDGeneralReportResponse',
            'CanBusOBDGeneralReportResult' => '\\StructType\\CanBusOBDGeneralReportResult',
            'CanBusOBDGeneralReportReturnObject' => '\\StructType\\CanBusOBDGeneralReportReturnObject',
            'CanBusOBDGeneralReportReturnObjectResponse' => '\\StructType\\CanBusOBDGeneralReportReturnObjectResponse',
            'CanBusOBDGeneralReportReturnObjectResult' => '\\StructType\\CanBusOBDGeneralReportReturnObjectResult',
            'CanBusFuelInfo' => '\\StructType\\CanBusFuelInfo',
            'CanBusFuelInfoResponse' => '\\StructType\\CanBusFuelInfoResponse',
            'CanBusFuelInfoResult' => '\\StructType\\CanBusFuelInfoResult',
            'CanBusEmptyInfo' => '\\StructType\\CanBusEmptyInfo',
            'CanBusEmptyInfoResponse' => '\\StructType\\CanBusEmptyInfoResponse',
            'CanBusEmptyInfoResult' => '\\StructType\\CanBusEmptyInfoResult',
            'DoorAlarm' => '\\StructType\\DoorAlarm',
            'DoorAlarmResponse' => '\\StructType\\DoorAlarmResponse',
            'DoorAlarmResult' => '\\StructType\\DoorAlarmResult',
            'PeriodicRegionTrackingReport' => '\\StructType\\PeriodicRegionTrackingReport',
            'PeriodicRegionTrackingReportResponse' => '\\StructType\\PeriodicRegionTrackingReportResponse',
            'PeriodicRegionTrackingReportResult' => '\\StructType\\PeriodicRegionTrackingReportResult',
            'DoorAlarm2' => '\\StructType\\DoorAlarm2',
            'DoorAlarm2Response' => '\\StructType\\DoorAlarm2Response',
            'DoorAlarm2Result' => '\\StructType\\DoorAlarm2Result',
            'IdlingAlarm' => '\\StructType\\IdlingAlarm',
            'IdlingAlarmResponse' => '\\StructType\\IdlingAlarmResponse',
            'IdlingAlarmResult' => '\\StructType\\IdlingAlarmResult',
            'DevicePoweredUpAlarm' => '\\StructType\\DevicePoweredUpAlarm',
            'DevicePoweredUpAlarmResponse' => '\\StructType\\DevicePoweredUpAlarmResponse',
            'DevicePoweredUpAlarmResult' => '\\StructType\\DevicePoweredUpAlarmResult',
            'BuildingListReport' => '\\StructType\\BuildingListReport',
            'BuildingListReportResponse' => '\\StructType\\BuildingListReportResponse',
            'BuildingListReportResult' => '\\StructType\\BuildingListReportResult',
            'GetVehicleStatusByNode' => '\\StructType\\GetVehicleStatusByNode',
            'GetVehicleStatusByNodeResponse' => '\\StructType\\GetVehicleStatusByNodeResponse',
            'GetVehicleStatusByNodeResult' => '\\StructType\\GetVehicleStatusByNodeResult',
            'GetVehicleStatus' => '\\StructType\\GetVehicleStatus',
            'GetVehicleStatusResponse' => '\\StructType\\GetVehicleStatusResponse',
            'GetVehicleStatusResult' => '\\StructType\\GetVehicleStatusResult',
            'GetVehicleStatusReturnObject' => '\\StructType\\GetVehicleStatusReturnObject',
            'GetVehicleStatusReturnObjectResponse' => '\\StructType\\GetVehicleStatusReturnObjectResponse',
            'GetVehicleStatusReturnObjectResult' => '\\StructType\\GetVehicleStatusReturnObjectResult',
            'GetVehicleStatusWithCourse' => '\\StructType\\GetVehicleStatusWithCourse',
            'GetVehicleStatusWithCourseResponse' => '\\StructType\\GetVehicleStatusWithCourseResponse',
            'GetVehicleStatusWithCourseResult' => '\\StructType\\GetVehicleStatusWithCourseResult',
            'GetVehicleStatusV3' => '\\StructType\\GetVehicleStatusV3',
            'GetVehicleStatusV3Response' => '\\StructType\\GetVehicleStatusV3Response',
            'ArrayOfLastPacket' => '\\ArrayType\\ArrayOfLastPacket',
            'LastPacket' => '\\StructType\\LastPacket',
            'GetVehicleStatusByNodeV3' => '\\StructType\\GetVehicleStatusByNodeV3',
            'GetVehicleStatusByNodeV3Response' => '\\StructType\\GetVehicleStatusByNodeV3Response',
            'GetVehicleStatusV2' => '\\StructType\\GetVehicleStatusV2',
            'GetVehicleStatusV2Response' => '\\StructType\\GetVehicleStatusV2Response',
            'GetVehicleStatusV2Result' => '\\StructType\\GetVehicleStatusV2Result',
            'GetVehicleStatusJSON' => '\\StructType\\GetVehicleStatusJSON',
            'GetVehicleStatusJSONResponse' => '\\StructType\\GetVehicleStatusJSONResponse',
            'GetVehicleAlarmStatus' => '\\StructType\\GetVehicleAlarmStatus',
            'GetVehicleAlarmStatusResponse' => '\\StructType\\GetVehicleAlarmStatusResponse',
            'GetVehicleAlarmStatusResult' => '\\StructType\\GetVehicleAlarmStatusResult',
            'GetVehicleAlarmStatusV2' => '\\StructType\\GetVehicleAlarmStatusV2',
            'GetVehicleAlarmStatusV2Response' => '\\StructType\\GetVehicleAlarmStatusV2Response',
            'GetVehicleAlarmStatusV2Result' => '\\StructType\\GetVehicleAlarmStatusV2Result',
            'DataSet' => '\\StructType\\DataSet',
        );
    }
}
